
QGIS Application - Bug report #13549

"Clip features to canvas extent" listed multiple time

2015-10-08 02:56 PM - Matthias Kuhn

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21591

Description

On the style tab of the layer properties in the "Advanced" menu the option "Clip features to canvas extent" is listed multiple times.

http://i.imgur.com/maTKCZi.png

Associated revisions

Revision b82c146c - 2015-10-10 02:01 PM - Matthias Kuhn 

Cleanup symbol definition widgets when switching between symbol layers

Fix #13549

History

#1 - 2015-10-10 03:33 AM - Nyall Dawson

- Status changed from Open to Feedback

I can't reproduce this - how did you trigger it?

#2 - 2015-10-10 03:48 AM - Matthias Kuhn

- Status changed from Feedback to Open

One item is added every time I select a different symbol layer and switch back to the root item.

#3 - 2015-10-10 05:02 AM - Anonymous

- Status changed from Open to Closed

Fixed in changeset commit:"b82c146cdb5e4a1125ae5a8207b1dfee6752f6a1".
